<?php
  
/*
-------------------------
Список блогов в категории
-------------------------
*/
  
IF (GET('id') && DB::GET_COLUMN("SELECT COUNT(*) FROM `BLOGS_CATEGORIES` WHERE `ID` = '".INTVAL(GET('id'))."' LIMIT 1") == 1){
  
  $category = DB::GET_STRING("SELECT * FROM `BLOGS_CATEGORIES` WHERE `ID` = '".INTVAL(GET('id'))."' LIMIT 1");
  
  //Навигация
  ECHO "<div class='navigation'>";
  ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
  ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
  ECHO "<a href='/modules/?path=blogs'>".LG('Блоги')."</a>";
  ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
  ECHO "<a href='/modules/?path=blogs&section=categories'>".LG('Категории')."</a>";
  ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
  ECHO "".TEXT_ABSOLUTE($category['NAME'])."";
  ECHO "</div>";
  
  ECHO "<div class='list'><center><b>".TEXT_ABSOLUTE($category['NAME'])."</b></center></div>";
  
  $column = DB::GET_COLUMN("SELECT COUNT(*) FROM `BLOGS` WHERE `PRIVATE` = '0' AND `PASSWORD` = '".NULL."' AND `ID_CATEGORY` = '".$category['ID']."'");
  $spage = SPAGE($column, $page_settings);
  $page = PAGE($spage);
  $limit = $page_settings * $page - $page_settings;
  
  IF ($column == 0){ 
    
    HTML::EMPTY();
  
  }ELSE{
    
    ECHO "<div class='list-body'>"; 
  
  }
  
  $data = DB::GET_STRING_ALL("SELECT * FROM `BLOGS` WHERE `PRIVATE` = '0' AND `PASSWORD` = '".NULL."' AND `ID_CATEGORY` = '".$category['ID']."' ORDER BY `TIME` DESC LIMIT ".$limit.", ".$page_settings."");
  
  WHILE ($list = $data->FETCH()){
    
    REQUIRE (ROOT.'/modules/blogs/plugins/blogs_list.php');
  
  }
  
  IF ($column > 0){
    
    ECHO "</div>";
  
  }
  
  IF ($spage > 1){ ECHO STR_PAGE('/modules/?path=blogs&section=categories&id='.$category['ID'].'&', $spage, $page); }
  
  //Навигация
  ECHO "<div class='navigation'>";
  ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
  ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
  ECHO "<a href='/modules/?path=blogs'>".LG('Блоги')."</a>";
  ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
  ECHO "<a href='/modules/?path=blogs&section=categories'>".LG('Категории')."</a>";
  ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
  ECHO "".TEXT_ABSOLUTE($category['NAME'])."";
  ECHO "</div>";
  
  REQUIRE (ROOT.'/system/connections/footer.php');
  EXIT;
  
}
  
/*
---------
Категории
---------
*/
  
//Навигация
ECHO "<div class='navigation'>";
ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/modules/?path=blogs'>".LG('Блоги')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "".LG('Категории')."";
ECHO "</div>";

IF (ISSET($user)){
  
  IF (MANAGEMENT == 1 || ACCESS('blogs_category', NULL, 1)){
    
    /*
    -----------------
    Удалить категорию
    -----------------
    */
    
    IF (GET('delete') && DB::GET_COLUMN("SELECT COUNT(*) FROM `BLOGS_CATEGORIES` WHERE `ID` = '".INTVAL(GET('delete'))."' LIMIT 1") == 1){
      
      $category = DB::GET_STRING("SELECT * FROM `BLOGS_CATEGORIES` WHERE `ID` = '".INTVAL(GET('delete'))."' LIMIT 1");
      
      IF (ACCESS('blogs_category', NULL, 1) || MANAGEMENT == 1){
        
        LOGS('Блоги - удаление категории '.ADSL($category['NAME']).'', $user['ID']);
      
      }
      
      DB::GET_SET("DELETE FROM `BLOGS_CATEGORIES` WHERE `ID` = '".$category['ID']."' LIMIT 1");
      
      SUCCESS('Категория успешно удалена', 'session');      
      REDIRECT('/modules/?path=blogs&section=categories');
      
    }
    
    /*
    -----------------------
    Редактировать категорию
    -----------------------
    */
    
    IF (GET('edit') && DB::GET_COLUMN("SELECT COUNT(*) FROM `BLOGS_CATEGORIES` WHERE `ID` = '".INTVAL(GET('edit'))."' LIMIT 1") == 1){
      
      $category = DB::GET_STRING("SELECT * FROM `BLOGS_CATEGORIES` WHERE `ID` = '".INTVAL(GET('edit'))."' LIMIT 1");
      
      IF (POST('ok')){
        
        $err_data = 0;
        
        $name = ADSL(POST('name'));
        
        IF (STR($name) < 1){
          
          ERROR('Имя не может быть меньше 1 символа', 'session');
          $err_data = 1;
        
        }
        
        IF (STR($name) > 100){
          
          ERROR('Имя не может быть больше 100 символов', 'session');
          $err_data = 1;
        
        }
        
        IF ($name != $category['NAME'] && DB::GET_COLUMN("SELECT COUNT(*) FROM `BLOGS_CATEGORIES` WHERE `NAME` = '".$name."' LIMIT 1") == 1){
          
          ERROR('Категория с таким названием уже существует', 'session');
          $err_data = 1;
        
        }
        
        IF ($err_data == 1){
          
          REDIRECT('/modules/?path=blogs&section=categories&edit='.$category['ID'].'');
        
        }
        
        DB::GET_SET("UPDATE `BLOGS_CATEGORIES` SET `NAME` = '".$name."' WHERE `ID` = '".$category['ID']."' LIMIT 1");
        
        IF (ACCESS('blogs_category', NULL, 1) || MANAGEMENT == 1){
          
          LOGS('Блоги - редактирование категории '.ADSL($category['NAME']).'', $user['ID']);
        
        }
        
        SUCCESS('Категория успешно отредактирована', 'session');
        REDIRECT('/modules/?path=blogs&section=categories');
        
      }
      
      ECHO "<div class='list'>";
      
      ECHO "<form method='post' class='form' action='/modules/?path=blogs&section=categories&edit=".$category['ID']."'>";
      
      ECHO "<b>".LG('Введите название')."</b> (".LG('от 1 до 100 символов')."):<br />";
      HTML::INPUT('name', 'Имя', NULL, NULL, TEXT_ABSOLUTE($category['NAME']));
      
      HTML::BUTTON('btn-big ajax-button', 'ok', 'save', 'Сохранить изменения');
      
      ECHO "</form>";
      
      ECHO "</div>";
      
    }
    
    /*
    ------------------
    Добавить категорию
    ------------------
    */
    
    IF (GET('get') == 'add'){
      
      IF (POST('ok')){
        
        $err_data = 0;
        
        $name = ADSL(POST('name'));
        
        IF (STR($name) < 1){
          
          ERROR('Имя не может быть меньше 1 символа', 'session');
          $err_data = 1;
        
        }
        
        IF (STR($name) > 100){
          
          ERROR('Имя не может быть больше 100 символов', 'session');
          $err_data = 1;
        
        }
        
        IF (DB::GET_COLUMN("SELECT COUNT(*) FROM `BLOGS_CATEGORIES` WHERE `NAME` = '".$name."' LIMIT 1") == 1){
          
          ERROR('Категория с таким названием уже существует', 'session');
          $err_data = 1;
        
        }
        
        IF ($err_data == 1){
          
          REDIRECT('/modules/?path=blogs&section=categories&get=add');
        
        }
        
        DB::GET_ADD("INSERT INTO `BLOGS_CATEGORIES` (`NAME`) VALUES ('".$name."')");
        
        IF (ACCESS('blogs_category', NULL, 1) || MANAGEMENT == 1){
          
          LOGS('Блоги - создание новой категории', $user['ID']);
        
        }
        
        SUCCESS('Категория успешно создана', 'session');
        REDIRECT('/modules/?path=blogs&section=categories');
        
      }
      
      ECHO "<div class='list'>";
      
      ECHO "<form method='post' class='form' action='/modules/?path=blogs&section=categories&get=add'>";
      
      ECHO "<b>".LG('Введите название')."</b> (".LG('от 1 до 100 символов')."):<br />";
      HTML::INPUT('name', 'Имя');
      
      HTML::BUTTON('btn-big ajax-button', 'ok', 'plus', 'Создать');
      
      ECHO "</form>";
      
      ECHO "</div>";
      
    }
    
    ECHO "<div class='list'>";
    
    ECHO "<a class='btn' href='/modules/?path=blogs&section=categories&get=add'>".ICONS('plus', 15, 'fa-fw')." ".LG('Добавить категорию')."</a>";
    
    ECHO "</div>";
  
  }
  
}

$column = DB::GET_COLUMN("SELECT COUNT(*) FROM `BLOGS_CATEGORIES`");
$spage = SPAGE($column, $page_settings);
$page = PAGE($spage);
$limit = $page_settings * $page - $page_settings;

IF ($column == 0){ 
  
  HTML::EMPTY();
  
}ELSE{
  
  ECHO "<div class='list-body'>"; 
  
}

$data = DB::GET_STRING_ALL("SELECT * FROM `BLOGS_CATEGORIES` ORDER BY `ID` DESC LIMIT ".$limit.", ".$page_settings."");

WHILE ($list = $data->FETCH())
{
  
  ECHO "<div class='list-menu'>";
  
  ECHO "<span class='icons'>".ICONS('folder', 18, 'fa-fw')."</span> <a href='/modules/?path=blogs&section=categories&id=".$list['ID']."'>".TEXT_ABSOLUTE($list['NAME'])."</a>";
  
  IF (ISSET($user)){
    
    IF (MANAGEMENT == 1 || ACCESS('blogs_category', NULL, 1)){
      
      ECHO "<br /><br />";
      
      ECHO "<a class='btn' href='/modules/?path=blogs&section=categories&edit=".$list['ID']."'>".ICONS('pencil', 15, 'fa-fw')." ".LG('Редактировать')."</a>";
      ECHO "<a class='btn' href='/modules/?path=blogs&section=categories&delete=".$list['ID']."'>".ICONS('trash', 15, 'fa-fw')." ".LG('Удалить')."</a>";
    
    }
    
  }
  
  ECHO "</div>";

}

IF ($column > 0){

  ECHO "</div>";
  
}

IF ($spage > 1){ ECHO STR_PAGE('/modules/?path=blogs&section=categories&', $spage, $page); }

ECHO "<div class='list'>";
ECHO "<a href='/modules/?path=blogs'>".ICONS('arrow-left', 15, 'fa-fw')." ".LG('К блогам')."</a>";
ECHO "</div>";

//Навигация
ECHO "<div class='navigation'>";
ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/modules/?path=blogs'>".LG('Блоги')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "".LG('Категории')."";
ECHO "</div>";
  
?>